require 'rails_helper'

module Logistics
  module Core
    RSpec.describe BroadGaugeBbsController, type: :controller do
      let(:valid_attributes) {
        skip("Add a hash of attributes valid for your model")
      }

      let(:invalid_attributes) {
        skip("Add a hash of attributes invalid for your model")
      }

      # This should return the minimal set of values that should be in the session
      # in order to pass any filters (e.g. authentication) defined in
      # BroadGaugeBbsController. Be sure to keep this updated too.
      let(:valid_session) { {} }

      describe "GET #index" do
        it "assigns all broad_gauge_bbs as @broad_gauge_bbs" do
          broad_gauge_bb = BroadGaugeBb.create! valid_attributes
          get :index, {}, valid_session
          expect(assigns(:broad_gauge_bbs)).to eq([broad_gauge_bb])
        end
      end

      describe "GET #show" do
        it "assigns the requested broad_gauge_bb as @broad_gauge_bb" do
          broad_gauge_bb = BroadGaugeBb.create! valid_attributes
          get :show, {:id => broad_gauge_bb.to_param}, valid_session
          expect(assigns(:broad_gauge_bb)).to eq(broad_gauge_bb)
        end
      end

      describe "GET #edit" do
        it "assigns the requested broad_gauge_bb as @broad_gauge_bb" do
          broad_gauge_bb = BroadGaugeBb.create! valid_attributes
          get :edit, {:id => broad_gauge_bb.to_param}, valid_session
          expect(assigns(:broad_gauge_bb)).to eq(broad_gauge_bb)
        end
      end

      describe "POST #create" do
        context "with valid params" do
          it "creates a new BroadGaugeBb" do
            expect {
              post :create, {:broad_gauge_bb => valid_attributes}, valid_session
            }.to change(BroadGaugeBb, :count).by(1)
          end

          it "assigns a newly created broad_gauge_bb as @broad_gauge_bb" do
            post :create, {:broad_gauge_bb => valid_attributes}, valid_session
            expect(assigns(:broad_gauge_bb)).to be_a(BroadGaugeBb)
            expect(assigns(:broad_gauge_bb)).to be_persisted
          end

          it "redirects to the created broad_gauge_bb" do
            post :create, {:broad_gauge_bb => valid_attributes}, valid_session
            expect(response).to redirect_to(BroadGaugeBb.last)
          end
        end

        context "with invalid params" do
          it "assigns a newly created but unsaved broad_gauge_bb as @broad_gauge_bb" do
            post :create, {:broad_gauge_bb => invalid_attributes}, valid_session
            expect(assigns(:broad_gauge_bb)).to be_a_new(BroadGaugeBb)
          end

          it "re-renders the 'new' template" do
            post :create, {:broad_gauge_bb => invalid_attributes}, valid_session
            expect(response).to render_template("new")
          end
        end
      end

      describe "PUT #update" do
        context "with valid params" do
          let(:new_attributes) {
            skip("Add a hash of attributes valid for your model")
          }

          it "updates the requested broad_gauge_bb" do
            broad_gauge_bb = BroadGaugeBb.create! valid_attributes
            put :update, {:id => broad_gauge_bb.to_param, :broad_gauge_bb => new_attributes}, valid_session
            broad_gauge_bb.reload
            skip("Add assertions for updated state")
          end

          it "assigns the requested broad_gauge_bb as @broad_gauge_bb" do
            broad_gauge_bb = BroadGaugeBb.create! valid_attributes
            put :update, {:id => broad_gauge_bb.to_param, :broad_gauge_bb => valid_attributes}, valid_session
            expect(assigns(:broad_gauge_bb)).to eq(broad_gauge_bb)
          end

          it "redirects to the broad_gauge_bb" do
            broad_gauge_bb = BroadGaugeBb.create! valid_attributes
            put :update, {:id => broad_gauge_bb.to_param, :broad_gauge_bb => valid_attributes}, valid_session
            expect(response).to redirect_to(broad_gauge_bb)
          end
        end

        context "with invalid params" do
          it "assigns the broad_gauge_bb as @broad_gauge_bb" do
            broad_gauge_bb = BroadGaugeBb.create! valid_attributes
            put :update, {:id => broad_gauge_bb.to_param, :broad_gauge_bb => invalid_attributes}, valid_session
            expect(assigns(:broad_gauge_bb)).to eq(broad_gauge_bb)
          end

          it "re-renders the 'edit' template" do
            broad_gauge_bb = BroadGaugeBb.create! valid_attributes
            put :update, {:id => broad_gauge_bb.to_param, :broad_gauge_bb => invalid_attributes}, valid_session
            expect(response).to render_template("edit")
          end
        end
      end

      describe "DELETE #destroy" do
        it "destroys the requested broad_gauge_bb" do
          broad_gauge_bb = BroadGaugeBb.create! valid_attributes
          expect {
            delete :destroy, {:id => broad_gauge_bb.to_param}, valid_session
          }.to change(BroadGaugeBb, :count).by(-1)
        end

        it "redirects to the broad_gauge_bbs list" do
          broad_gauge_bb = BroadGaugeBb.create! valid_attributes
          delete :destroy, {:id => broad_gauge_bb.to_param}, valid_session
          expect(response).to redirect_to(broad_gauge_bbs_url)
        end
      end
    end
  end
end