require 'rails_helper'

module Logistics
  module Core
    RSpec.describe DocumentTypeCategoriesController, type: :controller do
      routes { Logistics::Core::Engine.routes }

      let(:valid_attributes) {
        {
          code: FFaker::Name.name ,
          name: FFaker::Name.name,
          description: FFaker::Lorem.paragraph
        }
      }

      describe 'GET #index' do
        it 'assigns all document_type_categories as @document_type_categories' do
          document_type_category = DocumentTypeCategory.create! valid_attributes
          get :index, format: :json
          expect(JSON(response.body)['data'].to_json).to eq([document_type_category].to_json)
        end
      end
    end
  end
end