require 'rails_helper'

module Logistics
  module Core
    RSpec.describe AgencyCategory, type: :model do
      it 'has a valid factory' do
        expect(create(:agency_category)).to be_valid
      end

      it 'is invalid without a code' do
        expect(build(:agency_category, code: nil)).not_to be_valid
      end

      it 'is invalid without a name' do
        expect(build(:agency_category, name: nil)).not_to be_valid
      end

      it 'is invalid with a duplicate code' do
        ac = create(:agency_category)
        expect(build(:agency_category, code: ac.code)).not_to be_valid
      end

      it 'is invalid with a duplicate name' do
        ac = create(:agency_category)
        expect(build(:agency_category, name: ac.name)).not_to be_valid
      end
    end
  end
end