require 'rails_helper'

module Logistics
  module Core
    RSpec.describe ClientCategory, type: :model do
      it 'has a valid factory' do
        expect(create(:client_category)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:client_category, :code => '')).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:client_category, :name => nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        lookup = create(:client_category)
        expect(build(:client_category, :code => lookup.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        lookup = create(:client_category)
        expect(build(:client_category, :name => lookup.name)).not_to be_valid
      end
    end
  end
end