require 'rails_helper'

module Logistics
  module Core
    RSpec.describe CommonDocument, type: :model do
      it 'has a valid factory' do
        expect(create(:common_document)).to be_valid
      end

      it 'is invalid with no document type' do
        expect(build(:common_document, :document_type => nil)).not_to be_valid
      end

      it 'is invalid with duplicate document type' do
        cd = create(:common_document)
        expect(build(:common_document, :document_type => cd.document_type)).not_to be_valid
      end
    end
  end
end