require 'rails_helper'

module Logistics
  module Core
    RSpec.describe DocumentTypeCategory, type: :model do
      it 'has a valid factory' do
        expect(create(:document_type_category)).to be_valid
      end

      it 'is invalid without a code' do
        expect(build(:document_type_category, code: nil)).not_to be_valid
      end

      it 'is invalid without a name' do
        expect(build(:document_type_category, name: nil)).not_to be_valid
      end

      it "is invalid with a duplicate code" do
        dtc = create(:document_type_category)
        expect(build(:document_type_category, code: dtc.code)).not_to be_valid
      end

      it 'is invalid with a duplicate name' do
        dtc = create(:document_type_category)
        expect(build(:document_type_category, name: dtc.name)).not_to be_valid
      end
    end
  end
end