require 'rails_helper'

module Logistics
  module Core
    RSpec.describe DocumentTypeOrigin, type: :model do
      it 'has a valid factory' do
        expect(create(:document_type_origin)).to be_valid
      end

      it 'is invalid without a code' do
        expect(build(:document_type_origin, code: nil)).not_to be_valid
      end

      it 'is invalid without a name' do
        expect(build(:document_type_origin, name: nil)).not_to be_valid
      end

      it 'is invalid with a duplicate code' do
        dto = create(:document_type_origin)
        expect(build(:document_type_origin, code: dto.code)).not_to be_valid
      end

      it 'is invalid with a duplicate name' do
        dto = create(:document_type_origin)
        expect(build(:document_type_origin, name: dto.name)).not_to be_valid
      end
    end
  end
end