require 'rails_helper'

module Logistics
  module Core
    RSpec.describe DocumentType, type: :model do
      it 'has a valid factory' do
        expect(create(:document_type)).to be_valid
      end

      it 'is invalid without a code' do
        expect(build(:document_type, code: nil)).not_to be_valid
      end

      it 'is invalid without a name' do
        expect(build(:document_type, name: nil)).not_to be_valid
      end

      it 'is invalid with a duplicate code' do
        dt = create(:document_type)
        expect(build(:document_type, code: dt.code)).not_to be_valid
      end

      it 'is invalid with a duplicate name' do
        dt = create(:document_type)
        expect(build(:document_type, name: dt.name)).not_to be_valid
      end
    end
  end
end