require 'rails_helper'

module Logistics
  module Core
    RSpec.describe UnitType, type: :model do
      it 'has a valid factory' do
        expect(create(:unit_type)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:unit_type, :code => '')).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:unit_type, :name => '')).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        ut = create(:unit_type)
        expect(build(:unit_type, :code => ut.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        ut = create(:unit_type)
        expect(build(:unit_type, :name => ut.name)).not_to be_valid
      end
    end
  end
end